<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::Action&lt; F &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1Action.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">testing::Action&lt; F &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a9af08a21ad329331fde856cba9b6dea2"><td class="memItemLeft" align="right" valign="top"><a id="a9af08a21ad329331fde856cba9b6dea2"></a>
typedef <a class="el" href="structtesting_1_1internal_1_1Function.html">internal::Function</a>&lt; F &gt;::Result&#160;</td><td class="memItemRight" valign="bottom"><b>Result</b></td></tr>
<tr class="separator:a9af08a21ad329331fde856cba9b6dea2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae27fda510696a9294f991de5b1abfaf2"><td class="memItemLeft" align="right" valign="top"><a id="ae27fda510696a9294f991de5b1abfaf2"></a>
typedef <a class="el" href="structtesting_1_1internal_1_1Function.html">internal::Function</a>&lt; F &gt;::ArgumentTuple&#160;</td><td class="memItemRight" valign="bottom"><b>ArgumentTuple</b></td></tr>
<tr class="separator:ae27fda510696a9294f991de5b1abfaf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2f5924eb6c0113be8f226aa3630b2cc2"><td class="memTemplParams" colspan="2"><a id="a2f5924eb6c0113be8f226aa3630b2cc2"></a>
template&lt;typename G , typename  = typename std::enable_if&lt;internal::disjunction&lt;          IsCompatibleFunctor&lt;G&gt;, std::is_constructible&lt;std::function&lt;Result()&gt;,                                                        G&gt;&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:a2f5924eb6c0113be8f226aa3630b2cc2"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>Action</b> (G &amp;&amp;fun)</td></tr>
<tr class="separator:a2f5924eb6c0113be8f226aa3630b2cc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ce44c673e3f91378777b954d88917cd"><td class="memItemLeft" align="right" valign="top"><a id="a5ce44c673e3f91378777b954d88917cd"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Action</b> (<a class="el" href="classtesting_1_1ActionInterface.html">ActionInterface</a>&lt; F &gt; *impl)</td></tr>
<tr class="separator:a5ce44c673e3f91378777b954d88917cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a806bacddaa1f1daf61f89674564bdf0f"><td class="memTemplParams" colspan="2"><a id="a806bacddaa1f1daf61f89674564bdf0f"></a>
template&lt;typename Func &gt; </td></tr>
<tr class="memitem:a806bacddaa1f1daf61f89674564bdf0f"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>Action</b> (const <a class="el" href="classtesting_1_1Action.html">Action</a>&lt; Func &gt; &amp;action)</td></tr>
<tr class="separator:a806bacddaa1f1daf61f89674564bdf0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4468ca2ea5e9f7363271145992d09dba"><td class="memItemLeft" align="right" valign="top"><a id="a4468ca2ea5e9f7363271145992d09dba"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsDoDefault</b> () const</td></tr>
<tr class="separator:a4468ca2ea5e9f7363271145992d09dba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5489a68def1d82eb61df819eae52dc8f"><td class="memItemLeft" align="right" valign="top"><a id="a5489a68def1d82eb61df819eae52dc8f"></a>
Result&#160;</td><td class="memItemRight" valign="bottom"><b>Perform</b> (ArgumentTuple args) const</td></tr>
<tr class="separator:a5489a68def1d82eb61df819eae52dc8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="gmock-actions_8h_source.html">gmock-actions.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><a class="el" href="classtesting_1_1Action.html">Action</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
